diff --git a/tests/test_formdata.py b/tests/test_formdata.py
index 0eb306685..2e9bedae1 100644
--- a/tests/test_formdata.py
+++ b/tests/test_formdata.py
@@ -7,8 +7,8 @@ import time
 
 from quixote import cleanup
 from quixote.http_request import Upload
-from qommon.template import Template
-from qommon.form import PicklableUpload
+from wcs.qommon.template import Template
+from wcs.qommon.form import PicklableUpload
 from wcs.qommon.http_request import HTTPRequest
 from wcs import fields, formdef
 from wcs.categories import Category
diff --git a/tests/test_formdef_import.py b/tests/test_formdef_import.py
index 141a3efa7..6d78ddf59 100644
--- a/tests/test_formdef_import.py
+++ b/tests/test_formdef_import.py
@@ -13,7 +13,7 @@ from wcs.categories import Category
 from wcs.formdef import FormDef, fields, FormdefImportError
 from wcs.workflows import Workflow
 from wcs.roles import Role
-from qommon.misc import indent_xml as indent
+from wcs.qommon.misc import indent_xml as indent
 
 from utilities import create_temporary_pub
 
diff --git a/tests/test_publisher.py b/tests/test_publisher.py
index b973c6d02..9e943dacf 100644
--- a/tests/test_publisher.py
+++ b/tests/test_publisher.py
@@ -182,7 +182,7 @@ def test_cron_command():
 
     # simulate another locked cron
     import tempfile
-    from qommon.vendor import locket
+    from wcs.qommon.vendor import locket
     lockfile = os.path.join(tempfile.gettempdir(), 'wcs-cron-in-progress.lock')
     with locket.lock_file(lockfile, timeout=0):
         with mock.patch('wcs.qommon.management.commands.cron.cron_worker') as cron_worker:
diff --git a/tests/test_role.py b/tests/test_role.py
index c9363ed1c..55275c367 100644
--- a/tests/test_role.py
+++ b/tests/test_role.py
@@ -4,7 +4,7 @@ import cPickle
 
 from utilities import create_temporary_pub, clean_temporary_pub
 
-from qommon.storage import StorableObject
+from wcs.qommon.storage import StorableObject
 from wcs.roles import Role, get_user_roles
 
 def setup_module(module):
diff --git a/tests/test_templates.py b/tests/test_templates.py
index 18f0ea659..c7723b271 100644
--- a/tests/test_templates.py
+++ b/tests/test_templates.py
@@ -6,8 +6,8 @@ import string
 
 from django.test import override_settings
 from quixote import cleanup
-from qommon.substitution import CompatibilityNamesDict
-from qommon.template import Template, TemplateError
+from wcs.qommon.substitution import CompatibilityNamesDict
+from wcs.qommon.template import Template, TemplateError
 from wcs.conditions import Condition
 from wcs.variables import LazyFormData
 
diff --git a/tests/test_workflow_import.py b/tests/test_workflow_import.py
index d3280fb2f..f5229b94d 100644
--- a/tests/test_workflow_import.py
+++ b/tests/test_workflow_import.py
@@ -21,7 +21,7 @@ from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
 from wcs.roles import Role
 from wcs.fields import StringField
 
-from qommon.misc import indent_xml as indent
+from wcs.qommon.misc import indent_xml as indent
 
 from utilities import create_temporary_pub, clean_temporary_pub
 
diff --git a/tests/test_workflows.py b/tests/test_workflows.py
index a465b69fe..ccac4141d 100644
--- a/tests/test_workflows.py
+++ b/tests/test_workflows.py
@@ -13,10 +13,10 @@ import mock
 from django.utils.six import StringIO
 
 from quixote import cleanup, get_response
-from qommon.errors import ConnectionError
+from wcs.qommon.errors import ConnectionError
 from quixote.http_request import Upload as QuixoteUpload
 from wcs.qommon.http_request import HTTPRequest
-from qommon.form import *
+from wcs.qommon.form import *
 
 from wcs.formdef import FormDef
 from wcs import sessions
@@ -2221,7 +2221,7 @@ def test_sms_with_passerelle(pub):
     item.body = 'my message'
     with mock.patch('wcs.wscalls.get_secret_and_orig') as mocked_secret_and_orig:
         mocked_secret_and_orig.return_value = ('secret', 'localhost')
-        with mock.patch('qommon.misc._http_request') as mocked_http_post:
+        with mock.patch('wcs.qommon.misc._http_request') as mocked_http_post:
             mocked_http_post.return_value = ('response', '200', 'data', 'headers')
             item.perform(formdata)
             url = mocked_http_post.call_args[0][0]
diff --git a/tests/utilities.py b/tests/utilities.py
index 6fa342111..48660cd0d 100644
--- a/tests/utilities.py
+++ b/tests/utilities.py
@@ -25,8 +25,7 @@ from wcs.users import User
 from wcs.tracking_code import TrackingCode
 import wcs.qommon.emails
 import wcs.qommon.sms
-import qommon.sms
-from qommon.errors import ConnectionError
+from wcs.qommon.errors import ConnectionError
 
 import wcs.middleware
 
@@ -264,18 +263,13 @@ class EmailsMocking(object):
 
     def __enter__(self):
         self.wcs_create_smtp_server = sys.modules['wcs.qommon.emails'].create_smtp_server
-        self.qommon_create_smtp_server = sys.modules['qommon.emails'].create_smtp_server
-
         sys.modules['wcs.qommon.emails'].create_smtp_server = self.create_smtp_server
-        sys.modules['qommon.emails'].create_smtp_server = self.create_smtp_server
-
         self.emails = {}
         return self
 
     def __exit__(self, exc_type, exc_value, tb):
         del self.emails
         sys.modules['wcs.qommon.emails'].create_smtp_server = self.wcs_create_smtp_server
-        sys.modules['qommon.emails'].create_smtp_server = self.qommon_create_smtp_server
 
 
 class MockSubstitutionVariables(object):
@@ -290,24 +284,14 @@ class HttpRequestsMocking(object):
 
     def __enter__(self):
         import wcs.qommon.misc
-        import qommon.misc
-
         self.wcs_qommon_misc_http_request = wcs.qommon.misc._http_request
-        self.qommon_misc_http_request = qommon.misc._http_request
-
         wcs.qommon.misc._http_request = self.http_request
-        qommon.misc._http_request = self.http_request
         return self
 
     def __exit__(self, exc_type, exc_value, tb):
         import wcs.qommon.misc
-        import qommon.misc
-
         wcs.qommon.misc._http_request = self.wcs_qommon_misc_http_request
-        qommon.misc._http_request = self.qommon_misc_http_request
-
         del self.wcs_qommon_misc_http_request
-        del self.qommon_misc_http_request
 
     def http_request(self, url, method='GET', body=None, headers={},
             cert_file=None, timeout=None, raise_on_http_errors=False):
@@ -397,12 +381,9 @@ class SMSMocking(wcs.qommon.sms.MobytSMS):
     def __enter__(self):
         self.sms = []
         self.wcs_get_sms_class = wcs.qommon.sms.SMS.get_sms_class
-        self.qommon_get_sms_class = qommon.sms.SMS.get_sms_class
         wcs.qommon.sms.SMS.get_sms_class = self.get_sms_class
-        qommon.sms.SMS.get_sms_class = self.get_sms_class
         return self
 
     def __exit__(self, exc_type, exc_value, tb):
         del self.sms
         wcs.qommon.sms.SMS.get_sms_class = self.wcs_get_sms_class
-        qommon.sms.SMS.get_sms_class = self.qommon_get_sms_class
diff --git a/wcs/__init__.py b/wcs/__init__.py
index a9923b73c..4ca66c760 100644
--- a/wcs/__init__.py
+++ b/wcs/__init__.py
@@ -18,12 +18,5 @@ import sys
 import os
 sys.path.insert(0, os.path.dirname(__file__))
 
-import monkeypatch
-
-import qommon
-sys.modules['qommon'] = sys.modules['wcs.qommon']
-
-import qommon.form
-sys.modules['form'] = qommon.form
-
-import compat
+from . import monkeypatch
+from . import compat
diff --git a/wcs/admin/__init__.py b/wcs/admin/__init__.py
index 58d0eb15b..e5b328d79 100644
--- a/wcs/admin/__init__.py
+++ b/wcs/admin/__init__.py
@@ -14,4 +14,4 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from root import RootDirectory
+from .root import RootDirectory
diff --git a/wcs/admin/bounces.py b/wcs/admin/bounces.py
index abe3cf1e7..200425164 100644
--- a/wcs/admin/bounces.py
+++ b/wcs/admin/bounces.py
@@ -21,15 +21,15 @@ from quixote import get_response, redirect
 from quixote.directory import Directory
 from quixote.html import htmltext, TemplateIO
 
-from qommon import _
-from qommon import errors
-from qommon import misc
-from qommon.bounces import Bounce
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import command_icon
-
-from qommon.form import *
-from qommon.misc import get_cfg
+from ..qommon import _
+from ..qommon import errors
+from ..qommon import misc
+from ..qommon.bounces import Bounce
+from ..qommon.backoffice.menu import html_top
+from ..qommon.admin.menu import command_icon
+
+from ..qommon.form import *
+from ..qommon.misc import get_cfg
 
 def get_email_type_label(type):
     from settings import EmailsDirectory
diff --git a/wcs/admin/categories.py b/wcs/admin/categories.py
index 30afbf8af..9b55decad 100644
--- a/wcs/admin/categories.py
+++ b/wcs/admin/categories.py
@@ -18,10 +18,10 @@ from quixote import redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
+from ..qommon import _
 from wcs.categories import Category
-from qommon.form import *
-from qommon.backoffice.menu import html_top
+from ..qommon.form import *
+from ..qommon.backoffice.menu import html_top
 
 from wcs.formdef import FormDef
 
diff --git a/wcs/admin/data_sources.py b/wcs/admin/data_sources.py
index 134a9d749..8e3a9015d 100644
--- a/wcs/admin/data_sources.py
+++ b/wcs/admin/data_sources.py
@@ -18,11 +18,11 @@ from quixote import redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon import template
-from qommon.form import *
-from qommon.misc import json_response
-from qommon.backoffice.menu import html_top
+from ..qommon import _
+from ..qommon import template
+from ..qommon.form import *
+from ..qommon.misc import json_response
+from ..qommon.backoffice.menu import html_top
 from wcs.data_sources import (NamedDataSource, DataSourceSelectionWidget,
         get_structured_items)
 from wcs.formdef import FormDef
diff --git a/wcs/admin/fields.py b/wcs/admin/fields.py
index 5242ef3e6..d6264ffea 100644
--- a/wcs/admin/fields.py
+++ b/wcs/admin/fields.py
@@ -20,11 +20,11 @@ from quixote import redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext, htmlescape
 
-from qommon import _
-from qommon.form import *
-from qommon import errors, misc
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import command_icon
+from ..qommon import _
+from ..qommon.form import *
+from ..qommon import errors, misc
+from ..qommon.backoffice.menu import html_top
+from ..qommon.admin.menu import command_icon
 
 from wcs import fields
 from wcs.formdef import FormDef
diff --git a/wcs/admin/forms.py b/wcs/admin/forms.py
index fa94cd081..61f65e671 100644
--- a/wcs/admin/forms.py
+++ b/wcs/admin/forms.py
@@ -28,15 +28,15 @@ from quixote import get_response, redirect
 from quixote.directory import Directory, AccessControlled
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon import misc
-from qommon.errors import *
-from qommon.form import *
-from qommon.backoffice.menu import html_top
-from qommon import get_logger
-from qommon.misc import C_
+from ..qommon import _
+from ..qommon import misc
+from ..qommon.errors import *
+from ..qommon.form import *
+from ..qommon.backoffice.menu import html_top
+from ..qommon import get_logger
+from ..qommon.misc import C_
 
-from qommon.afterjobs import AfterJob
+from ..qommon.afterjobs import AfterJob
 
 from wcs.formdef import FormDef, FormdefImportError, FormdefImportRecoverableError
 from wcs.categories import Category
@@ -44,7 +44,7 @@ from wcs.roles import Role, logged_users_role, get_user_roles
 from wcs.workflows import Workflow
 from wcs.forms.root import qrcode
 
-from fields import FieldDefPage, FieldsDirectory
+from .fields import FieldDefPage, FieldsDirectory
 from .categories import CategoriesDirectory
 from .data_sources import NamedDataSourcesDirectory
 from .logged_errors import LoggedErrorsDirectory
diff --git a/wcs/admin/logged_errors.py b/wcs/admin/logged_errors.py
index 106da8725..4c7fba5eb 100644
--- a/wcs/admin/logged_errors.py
+++ b/wcs/admin/logged_errors.py
@@ -19,9 +19,9 @@ import re
 from quixote import get_response, get_publisher, redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
-from qommon import _, ngettext
-from qommon import errors, get_cfg
-from qommon.misc import localstrftime
+from ..qommon import _, ngettext
+from ..qommon import errors, get_cfg
+from ..qommon.misc import localstrftime
 
 from wcs.logged_errors import LoggedError
 
diff --git a/wcs/admin/roles.py b/wcs/admin/roles.py
index 9d0fe5fb0..353091163 100644
--- a/wcs/admin/roles.py
+++ b/wcs/admin/roles.py
@@ -18,11 +18,11 @@ from quixote import redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _, get_cfg
-from qommon import errors
-from qommon.form import *
+from ..qommon import _, get_cfg
+from ..qommon import errors
+from ..qommon.form import *
 
-from qommon.backoffice.menu import html_top
+from ..qommon.backoffice.menu import html_top
 
 from wcs.roles import Role, get_user_roles
 from wcs.formdef import FormDef
diff --git a/wcs/admin/settings.py b/wcs/admin/settings.py
index 798eb0cef..e9722480b 100644
--- a/wcs/admin/settings.py
+++ b/wcs/admin/settings.py
@@ -33,24 +33,23 @@ from quixote import get_publisher, get_request, get_response, redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon import get_cfg
-from qommon import errors
-from qommon import misc
-from qommon import template
-from qommon.form import *
-from qommon.sms import SMS
-
-from qommon.afterjobs import AfterJob
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import error_page
-from qommon.admin.cfg import cfg_submit
-from qommon.admin.emails import EmailsDirectory
+from ..qommon import _
+from ..qommon import get_cfg
+from ..qommon import errors
+from ..qommon import misc
+from ..qommon import template
+from ..qommon.form import *
+from ..qommon.sms import SMS
+
+from ..qommon.afterjobs import AfterJob
+from ..qommon.backoffice.menu import html_top
+from ..qommon.admin.menu import error_page
+from ..qommon.admin.cfg import cfg_submit
+from ..qommon.admin.emails import EmailsDirectory
 from wcs.qommon.admin.texts import TextsDirectory
-from qommon.admin.settings import SettingsDirectory as QommonSettingsDirectory
-from qommon.admin.logger import LoggerDirectory
-import qommon.ident
-import qommon.template
+from ..qommon.admin.settings import SettingsDirectory as QommonSettingsDirectory
+from ..qommon.admin.logger import LoggerDirectory
+from ..qommon import ident
 
 from wcs.formdef import FormDef
 from wcs.carddef import CardDef
@@ -108,7 +107,7 @@ authentication is unavailable. Lasso must be installed to use it.'))
 
     def _q_lookup(self, component):
         get_response().breadcrumb.append( ('identification/', _('Identification')) )
-        return qommon.ident.get_method_admin_directory(component)
+        return ident.get_method_admin_directory(component)
 
 
 class UserFieldDefPage(FieldDefPage):
@@ -204,7 +203,7 @@ class UserFieldsFormDef(FormDef):
         self.publisher.cfg['users'] = users_cfg
         self.publisher.write_cfg()
         if self.publisher.is_using_postgresql():
-            import sql
+            from wcs import sql
             sql.do_user_table()
             sql.do_tracking_code_table()
             sql.do_session_table()
@@ -371,12 +370,12 @@ class ThemePreviewDirectory(Directory):
 
         if path[1] in ('backoffice', 'admin') or \
                 get_request().get_method() == 'POST':
-            from qommon.template import error_page as base_error_page
+            from ..qommon.template import error_page as base_error_page
             output = base_error_page(_("The theme preview doesn't support this."))
         else:
             output = root_directory._q_traverse(path[1:])
 
-        from qommon.template import decorate
+        from ..qommon.template import decorate
         if isinstance(output, template.QommonTemplateResponse):
             output = template.render(output.templates, output.context)
         theme_preview = decorate(output, response)
@@ -440,7 +439,7 @@ class SettingsDirectory(QommonSettingsDirectory):
             identification_cfg = get_cfg('identification', {})
             for method in identification_cfg.get('methods', []):
                 try:
-                    method_admin = qommon.ident.get_method_admin_directory(method)
+                    method_admin = ident.get_method_admin_directory(method)
                 except AttributeError:
                     continue
 
@@ -637,7 +636,7 @@ class SettingsDirectory(QommonSettingsDirectory):
             r += htmltext('<a rel="popup" href="install_theme">%s</a>') % _('Install New Theme')
 
             r += htmltext('<form action="themes" enctype="multipart/form-data" method="post">')
-            themes = qommon.template.get_themes_dict()
+            themes = template.get_themes_dict()
             r += htmltext('<ul class="biglist themes">')
             for theme, theme_dict in sorted(themes.items()):
                 label = theme_dict.get('label')
@@ -670,7 +669,7 @@ class SettingsDirectory(QommonSettingsDirectory):
             r += htmltext('</form>')
             return r.getvalue()
         else:
-            themes = qommon.template.get_themes()
+            themes = template.get_themes()
             if themes.has_key(str(request.form['theme'])):
                 branding_cfg = get_cfg('branding', {})
                 branding_cfg[str('theme')] = str(request.form['theme'])
@@ -683,7 +682,7 @@ class SettingsDirectory(QommonSettingsDirectory):
         if not theme_id:
             return redirect('themes')
 
-        theme_directory = qommon.template.get_theme_directory(theme_id)
+        theme_directory = template.get_theme_directory(theme_id)
         if not theme_directory:
             return redirect('themes')
 
@@ -752,7 +751,7 @@ class SettingsDirectory(QommonSettingsDirectory):
             get_session().message = ('error', _('Theme is missing a desc.xml file.'))
             return redirect('themes')
         desc_xml = z.read('%s/desc.xml' % theme_name)
-        theme_dict = qommon.template.get_theme_dict(StringIO(desc_xml))
+        theme_dict = template.get_theme_dict(StringIO(desc_xml))
         if theme_dict.get('name') != theme_name:
             get_session().message = ('error', _('desc.xml is missing a name attribute.'))
             return redirect('themes')
@@ -779,7 +778,7 @@ class SettingsDirectory(QommonSettingsDirectory):
         return self.install_theme_from_file(StringIO(fp.read()))
 
     def template(self):
-        from qommon.template import get_default_ezt_template
+        from wcs.qommon.template import get_default_ezt_template
         default_template_ezt = get_default_ezt_template()
         branding_cfg = get_cfg('branding', {})
         template = branding_cfg.get('template', default_template_ezt)
@@ -811,7 +810,7 @@ class SettingsDirectory(QommonSettingsDirectory):
         return r.getvalue()
 
     def template_submit(self, form = None):
-        from qommon.template import DEFAULT_TEMPLATE_EZT, get_default_ezt_template
+        from wcs.qommon.template import DEFAULT_TEMPLATE_EZT, get_default_ezt_template
         theme_default_template_ezt = get_default_ezt_template()
 
         get_publisher().reload_cfg()
diff --git a/wcs/admin/users.py b/wcs/admin/users.py
index 48d1cd3c7..03f0ace87 100644
--- a/wcs/admin/users.py
+++ b/wcs/admin/users.py
@@ -18,19 +18,19 @@ from quixote import get_publisher, get_response, get_request, get_session, redir
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
+from ..qommon import _
 import wcs.qommon.storage as st
-from qommon import errors
-from qommon import misc, get_cfg
-from qommon.backoffice.listing import pagination_links
+from ..qommon import errors
+from ..qommon import misc, get_cfg
+from ..qommon.backoffice.listing import pagination_links
 from wcs.roles import Role
 
-import qommon.ident
-from qommon.ident.idp import is_idp_managing_user_attributes, is_idp_managing_user_roles
-from qommon.form import *
-from qommon.admin.emails import EmailsDirectory
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import error_page
+from ..qommon import ident
+from ..qommon.ident.idp import is_idp_managing_user_attributes, is_idp_managing_user_roles
+from ..qommon.form import *
+from ..qommon.admin.emails import EmailsDirectory
+from ..qommon.backoffice.menu import html_top
+from ..qommon.admin.menu import error_page
 
 class UserUI(object):
     def __init__(self, user):
@@ -65,7 +65,7 @@ class UserUI(object):
                         'render_br': False,
                         'options': [(None, '---', None)] + [(x.id, x.name, x.id) for x in roles]})
 
-        for klass in [x for x in qommon.ident.get_method_classes() if x.key in ident_methods]:
+        for klass in [x for x in ident.get_method_classes() if x.key in ident_methods]:
             if klass.method_admin_widget:
                 value = klass().get_value(self.user)
                 form.add(klass.method_admin_widget, 'method_%s' % klass.key, required = False,
@@ -94,7 +94,7 @@ class UserUI(object):
         self.user.store()
 
         ident_methods = get_cfg('identification', {}).get('methods', [])
-        for klass in [x for x in qommon.ident.get_method_classes() if x.key in ident_methods]:
+        for klass in [x for x in ident.get_method_classes() if x.key in ident_methods]:
             widget = form.get_widget('method_%s' % klass.key)
             if widget:
                 klass().submit(self.user, widget)
@@ -229,7 +229,7 @@ class UserPage(Directory):
 
         for method in ident_methods:
             try:
-                actions = qommon.ident.get_method_user_directory(
+                actions = ident.get_method_user_directory(
                                 method, self.user).get_actions()
             except AttributeError:
                 continue
@@ -283,7 +283,7 @@ class UserPage(Directory):
             return r.getvalue()
         else:
             ident_methods = get_cfg('identification', {}).get('methods', [])
-            for klass in [x for x in qommon.ident.get_method_classes() if x.key in ident_methods]:
+            for klass in [x for x in ident.get_method_classes() if x.key in ident_methods]:
                 if hasattr(klass, str('delete')):
                     klass().delete(self.user)
             self.user.remove_self()
@@ -293,7 +293,7 @@ class UserPage(Directory):
         ident_methods = get_cfg('identification', {}).get('methods', [])
         if component in ident_methods:
             get_response().breadcrumb.append((component + '/', None))
-            return qommon.ident.get_method_user_directory(component, self.user)
+            return ident.get_method_user_directory(component, self.user)
 
 class UsersDirectory(Directory):
     _q_exports = ['', 'new']
diff --git a/wcs/admin/workflows.py b/wcs/admin/workflows.py
index 87c6ae984..5b66a11d5 100644
--- a/wcs/admin/workflows.py
+++ b/wcs/admin/workflows.py
@@ -27,13 +27,13 @@ from quixote import redirect, get_publisher
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon import errors
-from qommon import misc
-from qommon.form import *
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import command_icon
-from qommon import get_logger
+from ..qommon import _
+from ..qommon import errors
+from ..qommon import misc
+from ..qommon.form import *
+from ..qommon.backoffice.menu import html_top
+from ..qommon.admin.menu import command_icon
+from ..qommon import get_logger
 
 from wcs.workflows import *
 from wcs.carddef import CardDef
diff --git a/wcs/admin/wscalls.py b/wcs/admin/wscalls.py
index adf69f0ec..cba776208 100644
--- a/wcs/admin/wscalls.py
+++ b/wcs/admin/wscalls.py
@@ -18,10 +18,10 @@ from quixote import redirect
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon import errors
-from qommon.form import *
-from qommon.backoffice.menu import html_top
+from ..qommon import _
+from ..qommon import errors
+from ..qommon.form import *
+from ..qommon.backoffice.menu import html_top
 from wcs.wscalls import NamedWsCall, WsCallRequestWidget
 
 class NamedWsCallUI(object):
diff --git a/wcs/api.py b/wcs/api.py
index 20869f18e..6f5243ced 100644
--- a/wcs/api.py
+++ b/wcs/api.py
@@ -25,12 +25,12 @@ from quixote.directory import Directory
 from django.utils.six.moves.urllib import parse as urllib
 from django.http import HttpResponse, HttpResponseBadRequest
 
-from qommon import _
-from qommon import misc
-from qommon.evalutils import make_datetime
-from qommon.errors import (AccessForbiddenError, QueryError, TraversalError,
+from .qommon import _
+from .qommon import misc
+from .qommon.evalutils import make_datetime
+from .qommon.errors import (AccessForbiddenError, QueryError, TraversalError,
     UnknownNameIdAccessForbiddenError, RequestError)
-from qommon.form import ComputedExpressionWidget, ConditionWidget
+from .qommon.form import ComputedExpressionWidget, ConditionWidget
 
 from wcs.categories import Category
 from wcs.conditions import Condition, ValidationError
@@ -42,8 +42,8 @@ from wcs.forms.common import FormStatusPage
 import wcs.qommon.storage as st
 from wcs.api_utils import sign_url_auto_orig, is_url_signed, get_user_from_api_query_string
 
-from backoffice.management import FormPage as BackofficeFormPage
-from backoffice.management import ManagementDirectory
+from .backoffice.management import FormPage as BackofficeFormPage
+from .backoffice.management import ManagementDirectory
 
 def posted_json_data_to_formdata_data(formdef, data):
     # remap fields from varname to field id
@@ -632,7 +632,7 @@ class ApiUserDirectory(Directory):
 
         if get_publisher().is_using_postgresql() and not get_request().form.get('full') == 'on':
             from wcs import sql
-            from qommon.storage import Equal
+            from .qommon.storage import Equal
             order_by = 'receipt_time'
             if get_request().form.get('sort') == 'desc':
                 order_by = '-receipt_time'
diff --git a/wcs/api_utils.py b/wcs/api_utils.py
index bbacbfd8a..1e1adf1ff 100644
--- a/wcs/api_utils.py
+++ b/wcs/api_utils.py
@@ -27,7 +27,7 @@ from django.utils.six.moves.urllib import parse as urllib
 from django.utils.six.moves.urllib import parse as urlparse
 
 from quixote import get_request, get_publisher
-from qommon.errors import (AccessForbiddenError, UnknownNameIdAccessForbiddenError)
+from .qommon.errors import (AccessForbiddenError, UnknownNameIdAccessForbiddenError)
 import qommon.misc
 
 DEFAULT_DURATION = 30
diff --git a/wcs/backoffice/__init__.py b/wcs/backoffice/__init__.py
index 58d0eb15b..e5b328d79 100644
--- a/wcs/backoffice/__init__.py
+++ b/wcs/backoffice/__init__.py
@@ -14,4 +14,4 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from root import RootDirectory
+from .root import RootDirectory
diff --git a/wcs/backoffice/cards.py b/wcs/backoffice/cards.py
index 1f18a686a..7749c0251 100644
--- a/wcs/backoffice/cards.py
+++ b/wcs/backoffice/cards.py
@@ -21,8 +21,8 @@ import time
 from quixote import get_publisher, get_request, get_response, get_session, redirect
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _, misc
-from qommon.misc import C_
+from ..qommon import _, misc
+from ..qommon.misc import C_
 
 from wcs.carddef import CardDef
 from wcs.roles import Role
diff --git a/wcs/backoffice/data_management.py b/wcs/backoffice/data_management.py
index 17ebbb548..747d864e6 100644
--- a/wcs/backoffice/data_management.py
+++ b/wcs/backoffice/data_management.py
@@ -17,9 +17,9 @@
 from quixote import get_request, get_response, get_session, redirect
 from quixote.html import TemplateIO, htmltext, htmlescape
 
-from qommon import _
-from qommon import errors
-from qommon.backoffice.menu import html_top
+from ..qommon import _
+from ..qommon import errors
+from ..qommon.backoffice.menu import html_top
 
 from wcs.carddef import CardDef
 from .management import ManagementDirectory, FormPage, FormFillPage, FormBackOfficeStatusPage
diff --git a/wcs/backoffice/management.py b/wcs/backoffice/management.py
index a41f4ff23..555e23d22 100644
--- a/wcs/backoffice/management.py
+++ b/wcs/backoffice/management.py
@@ -33,21 +33,21 @@ from quixote import get_session, get_publisher, get_request, get_response, redir
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext, htmlescape
 
-from qommon import _, ngettext, ezt
-from qommon.admin.emails import EmailsDirectory
-from qommon.admin.menu import command_icon
-from qommon.backoffice.menu import html_top
-from qommon.backoffice.listing import pagination_links
-from qommon import misc, get_logger
-from qommon.evalutils import make_datetime
-from qommon.misc import C_, ellipsize
-from qommon.afterjobs import AfterJob
-from qommon import emails
-import qommon.sms
-from qommon import errors
-from qommon import ods
-from qommon.form import *
-from qommon.storage import (Equal, NotEqual, LessOrEqual, GreaterOrEqual, Or,
+from ..qommon import _, ngettext, ezt
+from ..qommon.admin.emails import EmailsDirectory
+from ..qommon.admin.menu import command_icon
+from ..qommon.backoffice.menu import html_top
+from ..qommon.backoffice.listing import pagination_links
+from ..qommon import misc, get_logger
+from ..qommon.evalutils import make_datetime
+from ..qommon.misc import C_, ellipsize
+from ..qommon.afterjobs import AfterJob
+from ..qommon import emails
+from ..qommon import sms
+from ..qommon import errors
+from ..qommon import ods
+from ..qommon.form import *
+from ..qommon.storage import (Equal, NotEqual, LessOrEqual, GreaterOrEqual, Or,
         Intersects, ILike, FtsMatch, Contains, Null)
 
 from wcs.api_utils import get_user_from_api_query_string
@@ -142,7 +142,7 @@ class SendCodeFormdefDirectory(Directory):
         if get_publisher().use_sms_feature:
             sms_cfg = get_cfg('sms', {})
             mode = sms_cfg.get('mode', 'none')
-            sms_class = qommon.sms.SMS.get_sms_class(mode)
+            sms_class = sms.SMS.get_sms_class(mode)
             if sms_class:
                 form.add(StringWidget, 'sms', title=_('SMS Number'), required=False)
                 form.add(RadiobuttonsWidget, 'method',
